/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/**
 * 
 */
package jp.mosp.kintai.payroll.vo;

import javax.servlet.http.HttpServletRequest;

import jp.mosp.common.CommonConst;
import jp.mosp.common.MosPMenuConst;
import jp.mosp.common.MosPVo;
import jp.mosp.common.common.MospException;
import jp.mosp.common.utils.StringUtil;

/**
 * @author yoshida
 *
 */
public class PaidHolidayCardVo extends MosPVo {
	
	/**
	 * 
	 */
	private static final long	serialVersionUID			= 7480270108620872623L;
	
	// 定数
	/**
	 * 
	 */
	public static final int		MODE_VIEW					= 0;
	/**
	 * 
	 */
	public static final int		MODE_UPDATE					= 1;
	
	// パラメータ名
	/**
	 * hidSelectKCode
	 */
	public static final String	PRM_HID_SELECT_K_CODE		= "hidSelectKCode";
	/**
	 * hidSelectYearMonth
	 */
	public static final String	PRM_HID_SELECT_YEAR_MONTH	= "hidSelectYearMonth";
	/**
	 * hidSelectYear
	 */
	public static final String	PRM_HID_SELECT_YEAR			= "hidSelectYear";
	/**
	 * hidSelectMonth
	 */
	public static final String	PRM_HID_SELECT_MONTH		= "hidSelectMonth";
	/**
	 * txtSupplyLastDays
	 */
	public static final String	PRM_TXT_SUPPLY_LAST_DAYS	= "txtSupplyLastDays";
	/**
	 * txtSupplyDays
	 */
	public static final String	PRM_TXT_SUPPLY_DAYS			= "txtSupplyDays";
	/**
	 * txtWasteLastDays
	 */
	public static final String	PRM_TXT_WASTE_LAST_DAYS		= "txtWasteLastDays";
	/**
	 * txtWasteDays
	 */
	public static final String	PRM_TXT_WASTE_DAYS			= "txtWasteDays";
	/**
	 * txtSupplyLastHour
	 */
	public static final String	PRM_TXT_SUPPLY_LAST_HOUR	= "txtSupplyLastHour";
	/**
	 * txtSupplyHour
	 */
	public static final String	PRM_TXT_SUPPLY_HOUR			= "txtSupplyHour";
	/**
	 * txtWasteLastHour
	 */
	public static final String	PRM_TXT_WASTE_LAST_HOUR		= "txtWasteLastHour";
	/**
	 * txtWasteHour
	 */
	public static final String	PRM_TXT_WASTE_HOUR			= "txtWasteHour";
	
	/**
	 * txtSupplyLastDays
	 */
	public static final String	PRM_HID_SUPPLY_LAST_DAYS	= "hidSupplyLastDays";
	/**
	 * txtSupplyDays
	 */
	public static final String	PRM_HID_SUPPLY_DAYS			= "hidSupplyDays";
	/**
	 * txtWasteLastDays
	 */
	public static final String	PRM_HID_WASTE_LAST_DAYS		= "hidWasteLastDays";
	/**
	 * txtWasteDays
	 */
	public static final String	PRM_HID_WASTE_DAYS			= "hidWasteDays";
	/**
	 * txtSupplyLastHour
	 */
	public static final String	PRM_HID_SUPPLY_LAST_HOUR	= "hidSupplyLastHour";
	/**
	 * txtSupplyHour
	 */
	public static final String	PRM_HID_SUPPLY_HOUR			= "hidSupplyHour";
	/**
	 * txtWasteLastHour
	 */
	public static final String	PRM_HID_WASTE_LAST_HOUR		= "hidWasteLastHour";
	/**
	 * txtWasteHour
	 */
	public static final String	PRM_HID_WASTE_HOUR			= "hidWasteHour";
	
	/**
	 * hidLastRemainDays
	 */
	public static final String	PRM_HID_LAST_REMAIN_DAYS	= "hidLastRemainDays";
	/**
	 * hidLastRemainHour
	 */
	public static final String	PRM_HID_LAST_REMAIN_HOUR	= "hidLastRemainHour";
	/**
	 * hidRemainDays
	 */
	public static final String	PRM_HID_REMAIN_DAYS			= "hidRemainDays";
	/**
	 * hidRemainHour
	 */
	public static final String	PRM_HID_REMAIN_HOUR			= "hidRemainHour";
	/**
	 * txtLastRemainDays
	 */
	public static final String	PRM_TXT_LAST_REMAIN_DAYS	= "txtLastRemainDays";
	/**
	 * txtLastRemainHour
	 */
	public static final String	PRM_TXT_LAST_REMAIN_HOUR	= "txtLastRemainHour";
	/**
	 * txtRemainDays
	 */
	public static final String	PRM_TXT_REMAIN_DAYS			= "txtRemainDays";
	/**
	 * txtRemainHour
	 */
	public static final String	PRM_TXT_REMAIN_HOUR			= "txtRemainHour";
	/**
	 * txtTotalRemainDays
	 */
	public static final String	PRM_TXT_TOTAL_REMAIN_DAYS	= "txtTotalRemainDays";
	/**
	 * txtTotalRemainHour
	 */
	public static final String	PRM_TXT_TOTAL_REMAIN_HOUR	= "txtTotalRemainHour";
	/**
	 * hidTotalRemainDays
	 */
	public static final String	PRM_HID_TOTAL_REMAIN_DAYS	= "hidTotalRemainDays";
	/**
	 * hidTotalRemainHour
	 */
	public static final String	PRM_HID_TOTAL_REMAIN_HOUR	= "hidTotalRemainHour";
	
	/**
	 * hidPossible
	 */
	public static final String	PRM_HID_POSSIBLE			= "hidPossible";
	/**
	 * txtSupplyPossible
	 */
	public static final String	PRM_TXT_SUPPLY_POSSIBLE		= "txtSupplyPossible";
	/**
	 * txtWastePossible
	 */
	public static final String	PRM_TXT_WASTE_POSSIBLE		= "txtWastePossible";
	/**
	 * txtPossible
	 */
	public static final String	PRM_TXT_POSSIBLE			= "txtPossible";
	
	// フィールド
	private String				hidSelectKCode;
	private String				hidSelectYear;
	private String				hidSelectMonth;
	private String				hidSelectYearMonth;
	private String				lblSelectYearMonth;
	private String				lblLastRemainDays;
	private String				lblLastRemainHour;
	private String				lblRemainDays;
	private String				lblRemainHour;
	private String				lblPossible;
	private String				lblTotalRemainDays;
	private String				lblTotalRemainHour;
	private String				lblRequestDays;
	private String				lblRequestHour;
	private String				lblApprovedDays;
	private String				lblApprovedHour;
	
	private String				hidLastRemainDays;
	private String				hidLastRemainHour;
	private String				hidRemainDays;
	private String				hidRemainHour;
	private String				hidSupplyLastDays;
	private String				hidSupplyDays;
	private String				hidWasteLastDays;
	private String				hidWasteDays;
	private String				hidSupplyLastHour;
	private String				hidSupplyHour;
	private String				hidWasteLastHour;
	private String				hidWasteHour;
	
	private String				txtLastRemainDays;
	private String				txtLastRemainHour;
	private String				txtRemainDays;
	private String				txtRemainHour;
	private String				txtSupplyLastDays;
	private String				txtSupplyDays;
	private String				txtWasteLastDays;
	private String				txtWasteDays;
	private String				txtSupplyLastHour;
	private String				txtSupplyHour;
	private String				txtWasteLastHour;
	private String				txtWasteHour;
	
	private String				txtTotalRemainDays;
	private String				txtTotalRemainHour;
	private String				hidTotalRemainDays;
	private String				hidTotalRemainHour;
	
	private String				hidPossible;
	private String				txtSupplyPossible;
	private String				txtWastePossible;
	private String				txtPossible;
	
	private String[][]			aryPaidHoliday;
	
	// モード(1：更新)
	private int					mode;
	// 時間単位年休利用判断
	private boolean				usePaidHolidayHour;
	
	// フィールド名及び制限
	/**
	 * 社員コード
	 */
	public String				NAM_K_CODE;
	/**
	 * 氏名
	 */
	public String				NAM_K_NAME;
	/**
	 * 所属
	 */
	public String				NAM_SECTION;
	/**
	 * 選択年月
	 */
	public String				NAM_SELECT_YEAR_MONTH;
	/**
	 * 合計
	 */
	public String				NAM_TOTAL;
	/**
	 * 前年度
	 */
	public String				NAM_LAST_YEAR;
	/**
	 * 今年度
	 */
	public String				NAM_THIS_YEAR;
	/**
	 * 保有数
	 */
	public String				NAM_AMOUNT;
	/**
	 * 付与日数
	 */
	public String				NAM_SUPPLY_DAYS;
	/**
	 * 付与日数
	 */
	public String				NAM_SUPPLY_DAYS_LAST;
	/**
	 * 付与日数
	 */
	public String				NAM_SUPPLY_DAYS_THIS;
	/**
	 * 付与時間数
	 */
	public String				NAM_SUPPLY_HOUR;
	/**
	 * 付与時間数
	 */
	public String				NAM_SUPPLY_HOUR_LAST;
	/**
	 * 付与時間数
	 */
	public String				NAM_SUPPLY_HOUR_THIS;
	/**
	 * 廃棄日数
	 */
	public String				NAM_WASTE_DAYS;
	/**
	 * 廃棄日数
	 */
	public String				NAM_WASTE_DAYS_LAST;
	/**
	 * 廃棄日数
	 */
	public String				NAM_WASTE_DAYS_THIS;
	/**
	 * 廃棄時間数
	 */
	public String				NAM_WASTE_HOUR;
	/**
	 * 廃棄時間数
	 */
	public String				NAM_WASTE_HOUR_LAST;
	/**
	 * 廃棄時間数
	 */
	public String				NAM_WASTE_HOUR_THIS;
	/**
	 * 利用日数
	 */
	public String				NAM_USE_DAYS;
	/**
	 * 利用時間
	 */
	public String				NAM_USE_HOUR;
	/**
	 * 年月
	 */
	public String				NAM_YEAR_MONTH;
	/**
	 * 前年度残日数
	 */
	public String				NAM_LAST_YEAR_REMAIN_DAYS;
	/**
	 * 前年度残時間
	 */
	public String				NAM_LAST_YEAR_REMAIN_HOUR;
	/**
	 * 今年度残日数
	 */
	public String				NAM_THIS_YEAR_REMAIN_DAYS;
	/**
	 * 今年度残時間
	 */
	public String				NAM_THIS_YEAR_REMAIN_HOUR;
	/**
	 * 時間単位利用可能数
	 */
	public String				NAM_POSSIBLE;
	/**
	 * 付与時間単位利用可能数
	 */
	public String				NAM_SUPPLY_POSSIBLE;
	/**
	 * 廃棄時間単位利用可能数
	 */
	public String				NAM_WASTE_POSSIBLE;
	/**
	 * 
	 */
	public int					LEN_PAID_HOLIDAY;
	/**
	 * 
	 */
	public int					LEN_INTEGER;
	/**
	 * 
	 */
	public int					LEN_DECIMAL;
	

	/**
	 * 
	 */
	public PaidHolidayCardVo() {
		super();
		setViewPath(getClassName());
		mode = MODE_VIEW;
		setUsePaidHolidayHour(false);
		aryPaidHoliday = StringUtil.getBlankArray(0, 0);
	}
	
	@Override
	protected void setSubTitle() {
		subTitle = CommonConst.TTL_PAID_HOLIDAY;
		createAryMenu(CMD_MENU_PAYROLL, MosPMenuConst.getMenuPaidHolidayManagement());
	}
	
	@Override
	protected void setFieldsName() {
		NAM_K_CODE = "社員コード";
		NAM_K_NAME = "氏名";
		NAM_SECTION = "所属";
		NAM_SELECT_YEAR_MONTH = "選択年月";
		NAM_TOTAL = "合計";
		NAM_LAST_YEAR = "前年度";
		NAM_THIS_YEAR = "今年度";
		NAM_AMOUNT = "保有数";
		NAM_SUPPLY_DAYS = "支給日数";
		NAM_SUPPLY_DAYS_LAST = "支給日数(前年度)";
		NAM_SUPPLY_DAYS_THIS = "支給日数(今年度)";
		NAM_SUPPLY_HOUR = "支給時間";
		NAM_SUPPLY_HOUR_LAST = "支給時間(前年度)";
		NAM_SUPPLY_HOUR_THIS = "支給時間(今年度)";
		NAM_WASTE_DAYS = "廃棄日数";
		NAM_WASTE_DAYS_LAST = "廃棄日数(前年度)";
		NAM_WASTE_DAYS_THIS = "廃棄日数(今年度)";
		NAM_WASTE_HOUR = "廃棄時間";
		NAM_WASTE_HOUR_LAST = "廃棄時間(前年度)";
		NAM_WASTE_HOUR_THIS = "廃棄時間(今年度)";
		NAM_USE_DAYS = "利用日数";
		NAM_USE_HOUR = "利用時間";
		NAM_YEAR_MONTH = "年月";
		NAM_LAST_YEAR_REMAIN_DAYS = "前年度残日数";
		NAM_LAST_YEAR_REMAIN_HOUR = "前年度残時間";
		NAM_THIS_YEAR_REMAIN_DAYS = "今年度残日数";
		NAM_THIS_YEAR_REMAIN_HOUR = "今年度残時間";
		NAM_POSSIBLE = "時間単位利用可能数";
		NAM_SUPPLY_POSSIBLE = "支給時間単位利用可能数";
		NAM_WASTE_POSSIBLE = "廃棄時間単位利用可能数";
		LEN_PAID_HOLIDAY = 4;
		LEN_INTEGER = 2;
		LEN_DECIMAL = 1;
	}
	
	/**
	 * 
	 */
	public void setDefaultValue() {
		txtLastRemainDays = "0.0";
		txtLastRemainHour = "0";
		txtRemainDays = "0.0";
		txtRemainHour = "0";
		txtPossible = "0";
		txtSupplyLastDays = "0.0";
		txtSupplyDays = "0.0";
		txtSupplyLastHour = "0";
		txtSupplyHour = "0";
		txtSupplyPossible = "0";
		txtWasteLastDays = "0.0";
		txtWasteDays = "0.0";
		txtWasteLastHour = "0";
		txtWasteHour = "0";
		txtWastePossible = "0";
		txtTotalRemainDays = "0.0";
		txtTotalRemainHour = "0";
	}
	
	@Override
	public void setParams(HttpServletRequest request) {
		hidSelectKCode = request.getParameter(PRM_HID_SELECT_K_CODE);
		hidSelectYearMonth = request.getParameter(PRM_HID_SELECT_YEAR_MONTH);
		txtSupplyLastDays = request.getParameter(PRM_TXT_SUPPLY_LAST_DAYS);
		txtSupplyLastHour = request.getParameter(PRM_TXT_SUPPLY_LAST_HOUR);
		txtSupplyDays = request.getParameter(PRM_TXT_SUPPLY_DAYS);
		txtSupplyHour = request.getParameter(PRM_TXT_SUPPLY_HOUR);
		txtSupplyPossible = request.getParameter(PRM_TXT_SUPPLY_POSSIBLE);
		txtWasteLastDays = request.getParameter(PRM_TXT_WASTE_LAST_DAYS);
		txtWasteLastHour = request.getParameter(PRM_TXT_WASTE_LAST_HOUR);
		txtWasteDays = request.getParameter(PRM_TXT_WASTE_DAYS);
		txtWasteHour = request.getParameter(PRM_TXT_WASTE_HOUR);
		txtWastePossible = request.getParameter(PRM_TXT_WASTE_POSSIBLE);
		String[] selectYearMonth = StringUtil.divideByHyphen(hidSelectYearMonth);
		hidSelectYear = selectYearMonth[0];
		hidSelectMonth = selectYearMonth[1];
	}
	
	/**
	 * フィールドの妥当性確認
	 * @throws MospException 	MosP例外処理が発生した場合
	 */
	public void validate() throws MospException {
		// 妥当性確認開始時処理
		startValidation();
		// 妥当性確認終了時処理
		endValidation();
	}
	
	@Override
	public String getDirectJs(Class<?> cls, Object obj) throws IllegalAccessException {
		StringBuffer sb = new StringBuffer();
		sb.append(super.getDirectJs(cls, obj));
		sb.append("var MODE = ");
		sb.append(mode);
		sb.append(";");
		sb.append("var USE_PAID_HOLIDAY_HOUR = ");
		sb.append(usePaidHolidayHour);
		sb.append(";");
		return sb.toString();
	}
	
	/**
	 * @return aryPaidHoliday
	 */
	public String[][] getEscAryPaidHoliday() {
		return aryPaidHoliday.clone();
	}
	
	/**
	 * @param usePaidHolidayHour セットする usePaidHolidayHour
	 */
	public void setUsePaidHolidayHour(boolean usePaidHolidayHour) {
		this.usePaidHolidayHour = usePaidHolidayHour;
	}
	
	/**
	 * @return hidSelectKCode
	 */
	public String getHidSelectKCode() {
		return hidSelectKCode;
	}
	
	/**
	 * @return hidSelectYear
	 */
	public String getHidSelectYear() {
		return hidSelectYear;
	}
	
	/**
	 * @return hidSelectMonth
	 */
	public String getHidSelectMonth() {
		return hidSelectMonth;
	}
	
	/**
	 * @return hidSelectYearMonth
	 */
	public String getHidSelectYearMonth() {
		return hidSelectYearMonth;
	}
	
	/**
	 * @return lblSelectYearMonth
	 */
	public String getLblSelectYearMonth() {
		return lblSelectYearMonth;
	}
	
	/**
	 * @return lblLastRemainDays
	 */
	public String getLblLastRemainDays() {
		return lblLastRemainDays;
	}
	
	/**
	 * @return lblLastRemainHour
	 */
	public String getLblLastRemainHour() {
		return lblLastRemainHour;
	}
	
	/**
	 * @return lblRemainDays
	 */
	public String getLblRemainDays() {
		return lblRemainDays;
	}
	
	/**
	 * @return lblRemainHour
	 */
	public String getLblRemainHour() {
		return lblRemainHour;
	}
	
	/**
	 * @return lblPossible
	 */
	public String getLblPossible() {
		return lblPossible;
	}
	
	/**
	 * @return lblTotalRemainDays
	 */
	public String getLblTotalRemainDays() {
		return lblTotalRemainDays;
	}
	
	/**
	 * @return lblRequestDays
	 */
	public String getLblRequestDays() {
		return lblRequestDays;
	}
	
	/**
	 * @return lblRequestHour
	 */
	public String getLblRequestHour() {
		return lblRequestHour;
	}
	
	/**
	 * @return lblApprovedDays
	 */
	public String getLblApprovedDays() {
		return lblApprovedDays;
	}
	
	/**
	 * @return lblApprovedHour
	 */
	public String getLblApprovedHour() {
		return lblApprovedHour;
	}
	
	/**
	 * @return hidLastRemainDays
	 */
	public String getHidLastRemainDays() {
		return hidLastRemainDays;
	}
	
	/**
	 * @return hidLastRemainHour
	 */
	public String getHidLastRemainHour() {
		return hidLastRemainHour;
	}
	
	/**
	 * @return hidRemainDays
	 */
	public String getHidRemainDays() {
		return hidRemainDays;
	}
	
	/**
	 * @return hidRemainHour
	 */
	public String getHidRemainHour() {
		return hidRemainHour;
	}
	
	/**
	 * @return hidSupplyLastDays
	 */
	public String getHidSupplyLastDays() {
		return hidSupplyLastDays;
	}
	
	/**
	 * @return hidSupplyDays
	 */
	public String getHidSupplyDays() {
		return hidSupplyDays;
	}
	
	/**
	 * @return hidWasteLastDays
	 */
	public String getHidWasteLastDays() {
		return hidWasteLastDays;
	}
	
	/**
	 * @return hidWasteDays
	 */
	public String getHidWasteDays() {
		return hidWasteDays;
	}
	
	/**
	 * @return hidSupplyLastHour
	 */
	public String getHidSupplyLastHour() {
		return hidSupplyLastHour;
	}
	
	/**
	 * @return hidSupplyHour
	 */
	public String getHidSupplyHour() {
		return hidSupplyHour;
	}
	
	/**
	 * @return hidWasteLastHour
	 */
	public String getHidWasteLastHour() {
		return hidWasteLastHour;
	}
	
	/**
	 * @return hidWasteHour
	 */
	public String getHidWasteHour() {
		return hidWasteHour;
	}
	
	/**
	 * @return txtLastRemainDays
	 */
	public String getTxtLastRemainDays() {
		return txtLastRemainDays;
	}
	
	/**
	 * @return txtLastRemainHour
	 */
	public String getTxtLastRemainHour() {
		return txtLastRemainHour;
	}
	
	/**
	 * @return txtRemainDays
	 */
	public String getTxtRemainDays() {
		return txtRemainDays;
	}
	
	/**
	 * @return txtRemainHour
	 */
	public String getTxtRemainHour() {
		return txtRemainHour;
	}
	
	/**
	 * @return txtSupplyLastDays
	 */
	public String getTxtSupplyLastDays() {
		return txtSupplyLastDays;
	}
	
	/**
	 * @return txtSupplyDays
	 */
	public String getTxtSupplyDays() {
		return txtSupplyDays;
	}
	
	/**
	 * @return txtWasteLastDays
	 */
	public String getTxtWasteLastDays() {
		return txtWasteLastDays;
	}
	
	/**
	 * @return txtWasteDays
	 */
	public String getTxtWasteDays() {
		return txtWasteDays;
	}
	
	/**
	 * @return txtSupplyLastHour
	 */
	public String getTxtSupplyLastHour() {
		return txtSupplyLastHour;
	}
	
	/**
	 * @return txtSupplyHour
	 */
	public String getTxtSupplyHour() {
		return txtSupplyHour;
	}
	
	/**
	 * @return txtWasteLastHour
	 */
	public String getTxtWasteLastHour() {
		return txtWasteLastHour;
	}
	
	/**
	 * @return txtWasteHour
	 */
	public String getTxtWasteHour() {
		return txtWasteHour;
	}
	
	/**
	 * @return txtTotalRemainDays
	 */
	public String getTxtTotalRemainDays() {
		return txtTotalRemainDays;
	}
	
	/**
	 * @return txtTotalRemainHour
	 */
	public String getTxtTotalRemainHour() {
		return txtTotalRemainHour;
	}
	
	/**
	 * @return hidTotalRemainDays
	 */
	public String getHidTotalRemainDays() {
		return hidTotalRemainDays;
	}
	
	/**
	 * @return hidTotalRemainHour
	 */
	public String getHidTotalRemainHour() {
		return hidTotalRemainHour;
	}
	
	/**
	 * @return hidPossible
	 */
	public String getHidPossible() {
		return hidPossible;
	}
	
	/**
	 * @return txtSupplyPossible
	 */
	public String getTxtSupplyPossible() {
		return txtSupplyPossible;
	}
	
	/**
	 * @return txtWastePossible
	 */
	public String getTxtWastePossible() {
		return txtWastePossible;
	}
	
	/**
	 * @return txtPossible
	 */
	public String getTxtPossible() {
		return txtPossible;
	}
	
	/**
	 * @return aryPaidHoliday
	 */
	public String[][] getAryPaidHoliday() {
		return aryPaidHoliday.clone();
	}
	
	/**
	 * @return mode
	 */
	public int getMode() {
		return mode;
	}
	
	/**
	 * @return usePaidHolidayHour
	 */
	public boolean isUsePaidHolidayHour() {
		return usePaidHolidayHour;
	}
	
	/**
	 * @param hidSelectKCode セットする hidSelectKCode
	 */
	public void setHidSelectKCode(String hidSelectKCode) {
		this.hidSelectKCode = hidSelectKCode;
	}
	
	/**
	 * @param hidSelectYear セットする hidSelectYear
	 */
	public void setHidSelectYear(String hidSelectYear) {
		this.hidSelectYear = hidSelectYear;
	}
	
	/**
	 * @param hidSelectMonth セットする hidSelectMonth
	 */
	public void setHidSelectMonth(String hidSelectMonth) {
		this.hidSelectMonth = hidSelectMonth;
	}
	
	/**
	 * @param hidSelectYearMonth セットする hidSelectYearMonth
	 */
	public void setHidSelectYearMonth(String hidSelectYearMonth) {
		this.hidSelectYearMonth = hidSelectYearMonth;
	}
	
	/**
	 * @param lblSelectYearMonth セットする lblSelectYearMonth
	 */
	public void setLblSelectYearMonth(String lblSelectYearMonth) {
		this.lblSelectYearMonth = lblSelectYearMonth;
	}
	
	/**
	 * @param lblLastRemainDays セットする lblLastRemainDays
	 */
	public void setLblLastRemainDays(String lblLastRemainDays) {
		this.lblLastRemainDays = lblLastRemainDays;
	}
	
	/**
	 * @param lblLastRemainHour セットする lblLastRemainHour
	 */
	public void setLblLastRemainHour(String lblLastRemainHour) {
		this.lblLastRemainHour = lblLastRemainHour;
	}
	
	/**
	 * @param lblRemainDays セットする lblRemainDays
	 */
	public void setLblRemainDays(String lblRemainDays) {
		this.lblRemainDays = lblRemainDays;
	}
	
	/**
	 * @param lblRemainHour セットする lblRemainHour
	 */
	public void setLblRemainHour(String lblRemainHour) {
		this.lblRemainHour = lblRemainHour;
	}
	
	/**
	 * @param lblPossible セットする lblPossible
	 */
	public void setLblPossible(String lblPossible) {
		this.lblPossible = lblPossible;
	}
	
	/**
	 * @param lblTotalRemainDays セットする lblTotalRemainDays
	 */
	public void setLblTotalRemainDays(String lblTotalRemainDays) {
		this.lblTotalRemainDays = lblTotalRemainDays;
	}
	
	/**
	 * @param lblRequestDays セットする lblRequestDays
	 */
	public void setLblRequestDays(String lblRequestDays) {
		this.lblRequestDays = lblRequestDays;
	}
	
	/**
	 * @param lblRequestHour セットする lblRequestHour
	 */
	public void setLblRequestHour(String lblRequestHour) {
		this.lblRequestHour = lblRequestHour;
	}
	
	/**
	 * @param lblApprovedDays セットする lblApprovedDays
	 */
	public void setLblApprovedDays(String lblApprovedDays) {
		this.lblApprovedDays = lblApprovedDays;
	}
	
	/**
	 * @param lblApprovedHour セットする lblApprovedHour
	 */
	public void setLblApprovedHour(String lblApprovedHour) {
		this.lblApprovedHour = lblApprovedHour;
	}
	
	/**
	 * @param hidLastRemainDays セットする hidLastRemainDays
	 */
	public void setHidLastRemainDays(String hidLastRemainDays) {
		this.hidLastRemainDays = hidLastRemainDays;
	}
	
	/**
	 * @param hidLastRemainHour セットする hidLastRemainHour
	 */
	public void setHidLastRemainHour(String hidLastRemainHour) {
		this.hidLastRemainHour = hidLastRemainHour;
	}
	
	/**
	 * @param hidRemainDays セットする hidRemainDays
	 */
	public void setHidRemainDays(String hidRemainDays) {
		this.hidRemainDays = hidRemainDays;
	}
	
	/**
	 * @param hidRemainHour セットする hidRemainHour
	 */
	public void setHidRemainHour(String hidRemainHour) {
		this.hidRemainHour = hidRemainHour;
	}
	
	/**
	 * @param hidSupplyLastDays セットする hidSupplyLastDays
	 */
	public void setHidSupplyLastDays(String hidSupplyLastDays) {
		this.hidSupplyLastDays = hidSupplyLastDays;
	}
	
	/**
	 * @param hidSupplyDays セットする hidSupplyDays
	 */
	public void setHidSupplyDays(String hidSupplyDays) {
		this.hidSupplyDays = hidSupplyDays;
	}
	
	/**
	 * @param hidWasteLastDays セットする hidWasteLastDays
	 */
	public void setHidWasteLastDays(String hidWasteLastDays) {
		this.hidWasteLastDays = hidWasteLastDays;
	}
	
	/**
	 * @param hidWasteDays セットする hidWasteDays
	 */
	public void setHidWasteDays(String hidWasteDays) {
		this.hidWasteDays = hidWasteDays;
	}
	
	/**
	 * @param hidSupplyLastHour セットする hidSupplyLastHour
	 */
	public void setHidSupplyLastHour(String hidSupplyLastHour) {
		this.hidSupplyLastHour = hidSupplyLastHour;
	}
	
	/**
	 * @param hidSupplyHour セットする hidSupplyHour
	 */
	public void setHidSupplyHour(String hidSupplyHour) {
		this.hidSupplyHour = hidSupplyHour;
	}
	
	/**
	 * @param hidWasteLastHour セットする hidWasteLastHour
	 */
	public void setHidWasteLastHour(String hidWasteLastHour) {
		this.hidWasteLastHour = hidWasteLastHour;
	}
	
	/**
	 * @param hidWasteHour セットする hidWasteHour
	 */
	public void setHidWasteHour(String hidWasteHour) {
		this.hidWasteHour = hidWasteHour;
	}
	
	/**
	 * @param txtLastRemainDays セットする txtLastRemainDays
	 */
	public void setTxtLastRemainDays(String txtLastRemainDays) {
		this.txtLastRemainDays = txtLastRemainDays;
	}
	
	/**
	 * @param txtLastRemainHour セットする txtLastRemainHour
	 */
	public void setTxtLastRemainHour(String txtLastRemainHour) {
		this.txtLastRemainHour = txtLastRemainHour;
	}
	
	/**
	 * @param txtRemainDays セットする txtRemainDays
	 */
	public void setTxtRemainDays(String txtRemainDays) {
		this.txtRemainDays = txtRemainDays;
	}
	
	/**
	 * @param txtRemainHour セットする txtRemainHour
	 */
	public void setTxtRemainHour(String txtRemainHour) {
		this.txtRemainHour = txtRemainHour;
	}
	
	/**
	 * @param txtSupplyLastDays セットする txtSupplyLastDays
	 */
	public void setTxtSupplyLastDays(String txtSupplyLastDays) {
		this.txtSupplyLastDays = txtSupplyLastDays;
	}
	
	/**
	 * @param txtSupplyDays セットする txtSupplyDays
	 */
	public void setTxtSupplyDays(String txtSupplyDays) {
		this.txtSupplyDays = txtSupplyDays;
	}
	
	/**
	 * @param txtWasteLastDays セットする txtWasteLastDays
	 */
	public void setTxtWasteLastDays(String txtWasteLastDays) {
		this.txtWasteLastDays = txtWasteLastDays;
	}
	
	/**
	 * @param txtWasteDays セットする txtWasteDays
	 */
	public void setTxtWasteDays(String txtWasteDays) {
		this.txtWasteDays = txtWasteDays;
	}
	
	/**
	 * @param txtSupplyLastHour セットする txtSupplyLastHour
	 */
	public void setTxtSupplyLastHour(String txtSupplyLastHour) {
		this.txtSupplyLastHour = txtSupplyLastHour;
	}
	
	/**
	 * @param txtSupplyHour セットする txtSupplyHour
	 */
	public void setTxtSupplyHour(String txtSupplyHour) {
		this.txtSupplyHour = txtSupplyHour;
	}
	
	/**
	 * @param txtWasteLastHour セットする txtWasteLastHour
	 */
	public void setTxtWasteLastHour(String txtWasteLastHour) {
		this.txtWasteLastHour = txtWasteLastHour;
	}
	
	/**
	 * @param txtWasteHour セットする txtWasteHour
	 */
	public void setTxtWasteHour(String txtWasteHour) {
		this.txtWasteHour = txtWasteHour;
	}
	
	/**
	 * @param txtTotalRemainDays セットする txtTotalRemainDays
	 */
	public void setTxtTotalRemainDays(String txtTotalRemainDays) {
		this.txtTotalRemainDays = txtTotalRemainDays;
	}
	
	/**
	 * @param txtTotalRemainHour セットする txtTotalRemainHour
	 */
	public void setTxtTotalRemainHour(String txtTotalRemainHour) {
		this.txtTotalRemainHour = txtTotalRemainHour;
	}
	
	/**
	 * @param hidTotalRemainDays セットする hidTotalRemainDays
	 */
	public void setHidTotalRemainDays(String hidTotalRemainDays) {
		this.hidTotalRemainDays = hidTotalRemainDays;
	}
	
	/**
	 * @param hidTotalRemainHour セットする hidTotalRemainHour
	 */
	public void setHidTotalRemainHour(String hidTotalRemainHour) {
		this.hidTotalRemainHour = hidTotalRemainHour;
	}
	
	/**
	 * @param aryPaidHoliday セットする aryPaidHoliday
	 */
	public void setAryPaidHoliday(String[][] aryPaidHoliday) {
		this.aryPaidHoliday = aryPaidHoliday.clone();
	}
	
	/**
	 * @param mode セットする mode
	 */
	public void setMode(int mode) {
		this.mode = mode;
	}
	
	/**
	 * @param lblTotalRemainHour セットする lblTotalRemainHour
	 */
	public void setLblTotalRemainHour(String lblTotalRemainHour) {
		this.lblTotalRemainHour = lblTotalRemainHour;
	}
	
	/**
	 * @return lblTotalRemainHour
	 */
	public String getLblTotalRemainHour() {
		return lblTotalRemainHour;
	}
	
	/**
	 * @param hidPossible セットする hidPossible
	 */
	public void setHidPossible(String hidPossible) {
		this.hidPossible = hidPossible;
	}
	
	/**
	 * @param txtSupplyPossible セットする txtSupplyPossible
	 */
	public void setTxtSupplyPossible(String txtSupplyPossible) {
		this.txtSupplyPossible = txtSupplyPossible;
	}
	
	/**
	 * @param txtWastePossible セットする txtWastePossible
	 */
	public void setTxtWastePossible(String txtWastePossible) {
		this.txtWastePossible = txtWastePossible;
	}
	
	/**
	 * @param txtPossible セットする txtPossible
	 */
	public void setTxtPossible(String txtPossible) {
		this.txtPossible = txtPossible;
	}
	
}
